# Yerbacon

<img title="Yer &#129363;" align="left" src="/Username404-59/Yerbacon/raw/branch/stable/resources/Yerbacon.svg" alt="Yerbacon logo" width="192" height="192">

### &#9658; A language that transpiles into lua, javascript (ES6) or python code.
```
main >> {
  print_line("Hello, World!")
}
main()
```

[![Build Status](https://ci.username404.fr/buildStatus/icon?style=plastic)](https://ci.username404.fr/job/Yerbacon/job/stable/)

### Planned features:

- Type inference
- Null safety
- Compilation to jvm bytecode?

## Getting Started
#### See the <a href="/Username404-59/Yerbacon/src/branch/stable/docs/gettingstarted.md">documentation</a>.

## Build requirements

1. CMake 3.18 *or higher*

2. A compiler from the following list:
   - GCC 11+
   - Clang 14.0.1+ with llvm-gold
   - MSVC 19.30+

Note that to build for Windows targets with a mingw toolchain on debian, you will need to use the `i686-w64-mingw32-gcc-posix` executable provided by the `gcc-mingw-w64-i686-posix-runtime` package.